--  Mac OS and Windows

--координаты героя в пикселях от левого верхнего угла окна
x_char = 200
y_char = 202

--размеры окна в пикселях, совпадают со значениями в функции love.conf(t) в conf.lua
x_view = 450
y_view = 450

--шаг в пикслелях
x_step = 50
y_step = 50

--начальная точка размещения полей в пикселях от левого верхнего угла окна
x_pole = 1
y_pole = 1

--начальная точка размещения полей в пикселях от левого верхнего угла окна по умолчанию, изменению не поднадлежит
x_pole_default = 1
y_pole_default = 1

--размер поля в процентах от размера рисунка
x_width = 0.6
y_height = 0.6

--поворот поля в градусах
xy_rotate = 0

--кол-во полей по осям
x_count = x_view / x_step
y_count = y_view / y_step

function love.load()
	pole = love.graphics.newImage("grass.png") --текстура поля
	char = love.graphics.newImage("dude.png") --текстура героя
end

function love.update(dt)

end

function love.draw()
		for i2 = 1, y_count do --i2
			for i=1, x_count do	--i
--[[				love.graphics.print("x = "..x_count, 400, 200)	    вывод кол-ва полей по x ]]
--[[				love.graphics.print("y = "..y_count, 400, 220)	    вывод кол-ва полей по y ]]
				love.graphics.draw(pole, x_pole + x_step * (i - 1),
				y_pole + y_step * (i2 - 1), xy_rotate, x_width, y_height)
			end	--i
		end --i2
	love.graphics.draw(char, x_char, y_char, xy_rotate, x_width, y_height) --love.draw()
end

function love.keypressed(key)
	if key == "left" then --кнопка влево
		x_pole = x_pole + x_step
		add_pole_left()
	end
	if key == "right" then --кнопка вправо
		x_pole = x_pole - x_step
		add_pole_right()
	end
	if key == "up" then --кнопка вверх
		y_pole = y_pole + y_step
		add_pole_up()
	end
	if key == "down" then --кнопка вниз
		y_pole = y_pole - y_step
		add_pole_down()
	end
end

function add_pole_left() --команда для добавления полей при смещении игрока влево
	for i2 = 1, y_count do -- i2			
		love.graphics.draw(pole, x_pole_default,
				        		 y_pole + y_step * (i2 - 1), xy_rotate, x_width, y_height)
	end -- i2
end

function add_pole_right() --команда для добавления полей при смещении игрока вправо
	for i2 = 1, y_count do -- i2			
		love.graphics.draw(pole, x_pole_default + x_step * (x_count - 1),
				        		 y_pole + y_step * (i2 - 1), xy_rotate, x_width, y_height)
	end -- i2
end

function add_pole_up() --команда для добавления полей при смещении игрока вверх
	for i2 = 1, x_count do -- i2			
		love.graphics.draw(pole, x_pole_default + x_step * (i2 - 1),
				    			 y_pole_default, xy_rotate, x_width, y_height)
	end -- i2
end

function add_pole_down() --команда для добавления полей при смещении игрока вниз
	for i2 = 1, x_count do -- i2			
		love.graphics.draw(pole, x_pole_default + x_step * (i2 - 1),
								 y_pole_default + y_step * (y_count - 1), x_width, y_height)
	end -- i2
end






--[[function love.draw2()
			love.graphics.draw(pole, x_pole, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 2, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 2, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 3, y_pole + step_y * 3, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 4, y_pole + step_y * 4, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 5, y_pole + step_y * 5, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 6, y_pole + step_y * 6, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 7, y_pole + step_y * 7, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole, 0.7, 0.7)
			love.graphics.draw(pole, x_pole, y_pole + step_y * 8, 0.7, 0.7)
			love.graphics.draw(pole, x_pole + step_x * 8, y_pole + step_y * 8, 0.7, 0.7)	
		love.graphics.draw(char, x, y)
end
]]

